Skip to main content

Create Brand Resource

API Description

Create a new brand resource.

Request

URI Parameters

NameInput
orgId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/brands
Path Example
POST {url}/api/v1/orgs/9467895078742654934/brands

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json

Request Body

NameInput
$.brandDetails
REQUIRED
Example Request Body (raw JSON)
{
"brandDetails": {
"partnersBrandId": "456456",
"partnersBrandVersion": "PBV01",
"countryCodes": [ "US" ],
"displayNames": [
{
"name": "Organization Brand Name",
"locale": "en",
"primary": true
},
{
"name": "Marca de la empresa",
"locale": "es",
"primary": true
}
],
"categories": [ "dining.dessert_shop.ice_cream_shop", "dining.dessert_shop.ice_cream_shop.gelato_shop", "travel_and_leisure.sports_equipment_rental.watersports_rental.boat_rental" ],
"urls": [
{
"url": "http://example.com",
"type": "HOMEPAGE"
}
],
"ownershipType": "BRAND_OWNER"
}
}

Response

201 Created or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 201 Created
apple-request-id: 3e1318e4-a34f-49a7-8640-33d70bb4f46e
content-type: application/json
etag: "4d891a34-ddc8-11ec-a7a0-f7f6c418993d"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921

Response Body

NameOutput
$.orgId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.brandDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"id": "9467895078742654921",
"etag": "4d891a34-ddc8-11ec-a7a0-f7f6c418993d",
"createdDate": "2026-10-01T07:30:00.00Z",
"updatedDate": "2026-10-01T07:30:00.00Z",
"state": "SUBMITTED",
"brandDetails": {
"partnersBrandId": "456456",
"partnersBrandVersion": "PBV01",
"countryCodes": [ "US" ],
"displayNames": [
{
"name": "Organization Brand Name",
"locale": "en",
"primary": true
},
{
"name": "Marca de la empresa",
"locale": "es",
"primary": true
}
],
"categories": [ "dining.dessert_shop.ice_cream_shop", "dining.dessert_shop.ice_cream_shop.gelato_shop", "travel_and_leisure.sports_equipment_rental.watersports_rental.boat_rental" ],
"urls": [
{
"url": "http://example.com",
"type": "HOMEPAGE"
}
],
"ownershipType": "BRAND_OWNER"
},
"validationReports":[
{
"code": "VALIDATION__SuspiciousCombinationOfTopLevelCategories",
"severity": "WARNING",
"message": "Suspicious combination of top-level categories present",
"details": {
"createdDate": "2026-10-01T07:30:02.00Z",
"submitted": [
{
"field": "$.brandDetails.categories",
"value": [ "dining.dessert_shop.ice_cream_shop", "dining.dessert_shop.ice_cream_shop.gelato_shop", "travel_and_leisure.sports_equipment_rental.watersports_rental.boat_rental" ]
}
]
}
}
]
}